=== debian/changelog ===
cockpit-podman (25-1~ubuntu20.10.1) groovy-backports; urgency=medium

  * No-change backport to groovy

 -- Martin Pitt <mpitt@debian.org>  Mon, 14 Dec 2020 06:19:10 +0100

cockpit-podman (25-1) unstable; urgency=medium

  * Initial release (Closes: #967030)

 -- Martin Pitt <mpitt@debian.org>  Fri, 16 Oct 2020 16:28:02 +0200
