## cockpit-podman 27.1

=== debian/changelog ===
cockpit-podman (27.1-1) unstable; urgency=medium

  * New upstream version.

 -- Martin Pitt <mpitt@debian.org>  Fri, 15 Jan 2021 06:00:51 +0100

cockpit-podman (25-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload. 

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Jan 2021 11:43:51 -0500
