## cockpit-podman 28

=== Makefile ===
--- 
+++ 
@@ -3,21 +3,25 @@
 RPM_NAME := cockpit-$(PACKAGE_NAME)
 VERSION := $(shell T=$$(git describe 2>/dev/null) || T=1; echo $$T | tr '-' '.')
 ifeq ($(TEST_OS),)
-TEST_OS = fedora-32
+TEST_OS = fedora-33
 endif
 export TEST_OS
 TARFILE=cockpit-$(PACKAGE_NAME)-$(VERSION).tar.gz
-RPMFILE=$(shell rpmspec -D"VERSION $(VERSION)" -q cockpit-podman.spec.in).rpm
+RPMFILE=$(shell rpmspec -D"VERSION $(VERSION)" -q `ls cockpit-podman.spec.in cockpit-podman.spec 2>/dev/null | head -n1`).rpm
 VM_IMAGE=$(CURDIR)/test/images/$(TEST_OS)
 # stamp file to check if/when npm install ran
 NODE_MODULES_TEST=package-lock.json
 # one example file in dist/ from webpack to check if that already ran
-WEBPACK_TEST=dist/index.css
+WEBPACK_TEST=dist/manifest.json
+# one example file in src/lib to check if it was already checked out
+LIB_TEST=src/lib/cockpit-po-plugin.js
 
 WEBLATE_REPO=tmp/weblate-repo
 WEBLATE_REPO_URL=https://github.com/cockpit-project/cockpit-podman-weblate.git
 WEBLATE_REPO_BRANCH=master
 
+PYEXEFILES=$(shell git grep -lI '^#!.*python')
+
 all: $(WEBPACK_TEST)
 
 #
@@ -26,25 +30,17 @@
 
 LINGUAS=$(basename $(notdir $(wildcard po/*.po)))
 
-po/POTFILES.js.in:
-	mkdir -p $(dir $@)
-	find src/ -name '*.js' -o -name '*.jsx' > $@
-
-po/$(PACKAGE_NAME).js.pot: po/POTFILES.js.in
+po/$(PACKAGE_NAME).js.pot:
 	xgettext --default-domain=cockpit --output=$@ --language=C --keyword= \
 		--keyword=_:1,1t --keyword=_:1c,2,1t --keyword=C_:1c,2 \
 		--keyword=N_ --keyword=NC_:1c,2 \
 		--keyword=gettext:1,1t --keyword=gettext:1c,2,2t \
 		--keyword=ngettext:1,2,3t --keyword=ngettext:1c,2,3,4t \
 		--keyword=gettextCatalog.getString:1,3c --keyword=gettextCatalog.getPlural:2,3,4c \
-		--from-code=UTF-8 --files-from=$^
-
-po/POTFILES.html.in:
-	mkdir -p $(dir $@)
-	find src -name '*.html' > $@
-
-po/$(PACKAGE_NAME).html.pot: po/POTFILES.html.in $(NODE_MODULES_TEST)
-	po/html2po -f $^ -o $@
+		--from-code=UTF-8 $$(find src/ -name '*.js' -o -name '*.jsx')
+
+po/$(PACKAGE_NAME).html.pot: $(NODE_MODULES_TEST)
+	po/html2po -o $@ $$(find src -name '*.html')
 
 po/$(PACKAGE_NAME).manifest.pot: $(NODE_MODULES_TEST)
 	po/manifest2po src/manifest.json -o $@
@@ -58,11 +54,6 @@
 		msgmerge --output-file=po/$$lang.po po/$$lang.po $<; \
 	done
 
-dist/po.%.js: po/%.po $(NODE_MODULES_TEST)
-	mkdir -p $(dir $@)
-	po/po2json -m po/po.empty.js -o $@.js.tmp $<
-	mv $@.js.tmp $@
-
 $(WEBLATE_REPO):
 	git clone --depth=1 -b $(WEBLATE_REPO_BRANCH) $(WEBLATE_REPO_URL) $(WEBLATE_REPO)
 
@@ -84,7 +75,7 @@
 %.spec: %.spec.in
 	sed -e 's/%{VERSION}/$(VERSION)/g' $< > $@
 
-$(WEBPACK_TEST): $(NODE_MODULES_TEST) lib/patternfly/_fonts.scss $(shell find src/ -type f) package.json webpack.config.js $(patsubst %,dist/po.%.js,$(LINGUAS))
+$(WEBPACK_TEST): $(NODE_MODULES_TEST) $(LIB_TEST) $(shell find src/ -type f) package.json webpack.config.js
 	NODE_ENV=$(NODE_ENV) npm run build
 
 watch:
@@ -106,6 +97,7 @@
 	ln -s `pwd`/dist ~/.local/share/cockpit/$(PACKAGE_NAME)
 
 dist-gzip: $(TARFILE)
+	@ls -1 $(TARFILE)
 
 # when building a distribution tarball, call webpack with a 'production' environment
 # we don't ship node_modules for license and compactness reasons; we ship a
@@ -116,9 +108,9 @@
 	mv node_modules node_modules.release
 	touch -r package.json $(NODE_MODULES_TEST)
 	touch dist/*
-	tar czf cockpit-$(PACKAGE_NAME)-$(VERSION).tar.gz --transform 's,^,cockpit-$(PACKAGE_NAME)/,' \
+	tar czf $(TARFILE) --transform 's,^,cockpit-$(PACKAGE_NAME)/,' \
 		--exclude $(RPM_NAME).spec.in \
-		$$(git ls-files) lib/patternfly/*.scss package-lock.json $(RPM_NAME).spec dist/
+		$$(git ls-files) $(LIB_TEST) src/lib/patternfly/*.scss package-lock.json $(RPM_NAME).spec dist/
 	mv node_modules.release node_modules
 
 srpm: $(TARFILE) $(RPM_NAME).spec
@@ -147,7 +139,7 @@
 	test -e "$(RPMFILE)"
 
 # determine what to depend on and do for Fedora/RHEL/Debian VM preparation
-ifneq ($(filter debian-%,$(TEST_OS)),)
+ifneq ($(filter debian-% ubuntu-%,$(TEST_OS)),)
 VM_DEP=$(TARFILE) packaging/debian/rules packaging/debian/control
 VM_PACKAGE=--upload `pwd`/$(TARFILE):/var/tmp/ --upload `pwd`/packaging/debian:/var/tmp/
 else
@@ -165,10 +157,19 @@
 	rm -f $(VM_IMAGE) $(VM_IMAGE).qcow2
 	bots/image-customize -v $(VM_PACKAGE) -s $(CURDIR)/test/vm.install $(TEST_OS)
 	$(RAWHIDE)
+	# HACK: systemd kills the services after 90s
+	# See https://github.com/containers/podman/issues/8751
+	bots/image-customize -r "sed -i 's/Type=notify/Type=exec/' /usr/lib/systemd/system/podman.service" -r "sed -i 's/Type=notify/Type=exec/' /usr/lib/systemd/user/podman.service" $(TEST_OS)
+
 
 # convenience target for the above
 vm: $(VM_IMAGE)
 	echo $(VM_IMAGE)
+
+# run static code checks for python code
+codecheck:
+	python3 -m pyflakes $(PYEXEFILES)
+	python3 -m pycodestyle --max-line-length=195 $(PYEXEFILES) # TODO: Fix long lines
 
 # run the browser integration tests; skip check for SELinux denials
 check: $(NODE_MODULES_TEST) $(VM_IMAGE) test/common
@@ -186,17 +187,17 @@
 # when you start a new project, use the latest release, and update it from time to time
 test/common:
 	flock Makefile sh -ec '\
-	    git fetch --depth=1 https://github.com/cockpit-project/cockpit.git 228; \
+	    git fetch --depth=1 https://github.com/cockpit-project/cockpit.git 234; \
 	    git checkout --force FETCH_HEAD -- test/common; \
 	    git reset test/common'
 
-lib/patternfly/_fonts.scss:
+# checkout Cockpit's PF/React/build library; again this has no API stability guarantee, so check out a stable tag
+$(LIB_TEST):
 	flock Makefile sh -ec '\
-	    git fetch --depth=1 https://github.com/cockpit-project/cockpit.git 227; \
-	    mkdir -p pkg/lib/patternfly && git add pkg/lib/patternfly; \
-	    git checkout --force FETCH_HEAD -- pkg/lib/patternfly; \
-	    git reset -- pkg/lib/patternfly'
-	mkdir -p lib && mv pkg/lib/patternfly lib/patternfly && rmdir -p pkg/lib
+	    git fetch --depth=1 https://github.com/cockpit-project/cockpit.git 236; \
+	    git checkout --force FETCH_HEAD -- pkg/lib; \
+	    git reset -- pkg/lib'
+	mv pkg/lib src/ && rmdir -p pkg
 
 $(NODE_MODULES_TEST): package.json
 	# if it exists already, npm install won't update it; force that so that we always get up-to-date packages
