=== debian/changelog ===
cockpit-podman (28-1) unstable; urgency=medium

  * New upstream version:
    - Drop cockpit-system dependency
    - Correctly show selected option for SELinux labels

 -- Martin Pitt <mpitt@debian.org>  Thu, 04 Feb 2021 13:05:34 +0100
