=== debian/changelog ===
cockpit-podman (29-1) unstable; urgency=medium

  * New upstream bug fix release:
    - PatternFly 4 updates for a more consistent UI
    - Accessibility fixes
  * Bump Standards-Version to 4.5.1.  No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Wed, 17 Mar 2021 08:46:26 +0100
