=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Martin Pitt <mpitt@debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper-compat (= 12),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/cockpit-project/cockpit-podman
 Vcs-Git: https://salsa.debian.org/debian/cockpit-podman.git
 Vcs-Browser: https://salsa.debian.org/debian/cockpit-podman
