## cockpit-podman 33

=== debian/changelog ===
cockpit-podman (33-1) unstable; urgency=medium

  * New upstream release:
    - Fix crash with "Used Images" links
    - Translation updates

 -- Martin Pitt <mpitt@debian.org>  Sun, 22 Aug 2021 07:58:00 +0200
