=== debian/changelog ===
cockpit-podman (34-1) unstable; urgency=medium

  * New upstream release:
    - First iteration of page redesign

 -- Martin Pitt <mpitt@debian.org>  Wed, 01 Sep 2021 18:34:55 +0200
