=== debian/watch ===
version=4
https://github.com/cockpit-project/cockpit-podman/releases/ .*/cockpit-podman-([\d\.]+)\.tar\.gz
