=== debian/changelog ===
cockpit-podman (36-1~bpo11+1) bullseye-backports; urgency=medium

  * No-change backport to Debian Bullseye

 -- Martin Pitt <mpitt@debian.org>  Mon, 15 Nov 2021 06:41:49 +0100

cockpit-podman (36-1) unstable; urgency=medium

  * New upstream release:
    - New "Create container" workflow
    - Prune unused images

 -- Martin Pitt <mpitt@debian.org>  Wed, 10 Nov 2021 11:54:30 +0100
