=== debian/changelog ===
cockpit-podman (37-1) unstable; urgency=medium

  * New upstream release:
    - Improved image commit UI
    - PatternFly updates and fixes

 -- Martin Pitt <mpitt@debian.org>  Wed, 24 Nov 2021 16:09:55 +0100
