=== debian/changelog ===
cockpit-podman (38-1~bpo11+1) bullseye-backports; urgency=medium

  * No-change backport to Debian Bullseye

 -- Martin Pitt <mpitt@debian.org>  Wed, 15 Dec 2021 07:29:23 +0100

cockpit-podman (38-1) unstable; urgency=medium

  * New upstream release:
    - Updated translations
    - Consistent colors for pod and container running status

 -- Martin Pitt <mpitt@debian.org>  Thu, 09 Dec 2021 17:14:48 +0100
