## cockpit-podman 39

=== debian/changelog ===
cockpit-podman (39-1) unstable; urgency=medium

  * New upstream release:
    - Create container in pod
    - Podman restart policy
    - Allow inserting multiple environment variables

 -- Martin Pitt <mpitt@debian.org>  Wed, 05 Jan 2022 16:16:19 +0100
