=== debian/changelog ===
cockpit-podman (40-1~bpo11+1) bullseye-backports; urgency=medium

  * No-change backport to Debian Bullseye

 -- Martin Pitt <mpitt@debian.org>  Sun, 30 Jan 2022 08:42:26 +0100

cockpit-podman (40-1) unstable; urgency=medium

  * New upstream release:
    - Add pause/resume to containers
    - Always pull the latest image when creating a new container

 -- Martin Pitt <mpitt@debian.org>  Tue, 25 Jan 2022 08:38:53 +0100
