=== debian/changelog ===
cockpit-podman (41-1) unstable; urgency=medium

  * New upstream release:
    - Adjust for podman 4.0 API break
    - Improve page layout on mobile devices

 -- Martin Pitt <mpitt@debian.org>  Wed, 02 Feb 2022 14:32:38 +0100
