## cockpit-podman 42

=== debian/changelog ===
cockpit-podman (42-1) unstable; urgency=medium

  * New upstream release:
    - Tests improvements and stabilization

 -- Martin Pitt <mpitt@debian.org>  Wed, 16 Feb 2022 16:46:50 +0100
