=== debian/changelog ===
cockpit-podman (44-1~bpo11+1) bullseye-backports; urgency=medium

  * No-change backport to Debian Bullseye

 -- Martin Pitt <mpitt@debian.org>  Sun, 27 Mar 2022 08:20:26 +0200

cockpit-podman (44-1) unstable; urgency=medium

  * New upstream release:
    - Always use base 10 size units
    - Move owner option to details tab

 -- Martin Pitt <mpitt@debian.org>  Tue, 22 Mar 2022 06:15:17 +0100
