## cockpit-podman 45

=== debian/changelog ===
cockpit-podman (45-1) unstable; urgency=medium

  * New upstream release:
    - Translation updates

 -- Martin Pitt <mpitt@debian.org>  Wed, 30 Mar 2022 16:13:55 +0200
