=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Martin Pitt <mpitt@debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper-compat (= 12),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://github.com/cockpit-project/cockpit-podman
 Vcs-Git: https://salsa.debian.org/debian/cockpit-podman.git
 Vcs-Browser: https://salsa.debian.org/debian/cockpit-podman
@@ -14,7 +15,6 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          cockpit-bridge (>= 138),
-         cockpit-system (>= 138),
          podman (>= 2.0.4),
 Description: Cockpit component for Podman containers
  The Cockpit Web Console enables users to administer GNU/Linux servers using a
