## cockpit-podman 46

=== debian/changelog ===
cockpit-podman (46-1) unstable; urgency=medium

  * New upstream release:
    - Translation updates

 -- Martin Pitt <mpitt@debian.org>  Wed, 13 Apr 2022 09:44:11 +0200
