## cockpit-podman 50

=== debian/changelog ===
cockpit-podman (50-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy

 -- Martin Pitt <mpitt@debian.org>  Sun, 26 Jun 2022 07:31:05 +0200

cockpit-podman (50-1) unstable; urgency=medium

  * New upstream release:
    - Use NumberInput for Image Run Dialog

 -- Martin Pitt <mpitt@debian.org>  Thu, 23 Jun 2022 13:33:36 +0200

cockpit-podman (49.1-1) unstable; urgency=medium

  * New upstream release:
    - Container renaming
    - Health check support

 -- Martin Pitt <mpitt@debian.org>  Thu, 09 Jun 2022 11:07:15 +0200
